
all: ocarina.py
	./ocarina.py

ocarina.py:
	sh scripts/makebin.sh

clean:
	rm `find . | grep .pyc`
	rm ocarina.py

install:
	cd /opt/ && git clone git://lavos.homelinux.com/ocarina.git
	cd /opt/ocarina && make ocarina.py
	cd /usr/bin && ln -sf /opt/ocarina/bin/ocarina .

uninstall:
	rm -rIf /opt/ocarina
	rm -f /usr/bin/ocarina

update:
	cd /opt/ocarina && make clean
	cd /opt/ocarina && git pull
	cd /opt/ocarina && make ocarina.py
